# WARNING: This package is synced with FC
%global major 1
%define libname %mklibname epubgen %apiversion %major
%define devname %mklibname -d epubgen %apiversion
%global apiversion 0.1

Name: libepubgen
Version: 0.1.1
Release: %mkrel 3
Summary: An EPUB generator library
Group: System/Libraries

License: MPLv2.0
URL: https://sourceforge.net/projects/libepubgen/
Source: http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.xz

BuildRequires: boost-devel
BuildRequires: doxygen
BuildRequires: pkgconfig(cppunit)
BuildRequires: pkgconfig(librevenge-0.0)
BuildRequires: pkgconfig(libxml-2.0)

%description
%{name} is a library for generating EPUB documents. It is directly
pluggable into import filters based on librevenge.

%package -n %libname
Summary: An EPUB generator library
Group: System/Libraries
Obsoletes: %{_lib}epubgen0 < 0.1.0-2

%description -n %libname
%{name} is a library for generating EPUB documents. It is directly
pluggable into import filters based on librevenge.

%package -n %devname
Group: Development/C
Summary: Development files for %{name}
Requires: %{libname} = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}
Provides: %{name}%{apiversion}-devel = %{version}-%{release}
Obsoletes: %{_lib}epubgen-devel < 0.1.0-2

%description -n %devname
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package doc
Summary: Documentation of %{name} API
Group: Documentation
BuildArch: noarch

%description doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%setup -q

%build
%configure --disable-silent-rules --disable-static
sed -i \
    -e 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' \
    -e 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' \
    libtool
%make_build

%install
make install DESTDIR=%{buildroot} INSTALL='install -p'
rm -f %{buildroot}/%{_libdir}/*.la
# we install API docs directly from build
rm -rf %{buildroot}/%{_docdir}/%{name}

%check
export LD_LIBRARY_PATH=%{buildroot}%{_libdir}${LD_LIBRARY_PATH:+:${LD_LIBRARY_PATH}}
%make_build check


%files -n %libname
%doc AUTHORS README NEWS
%license COPYING
%{_libdir}/%{name}-%{apiversion}.so.%{major}{,.*}

%files -n %devname
%doc ChangeLog
%{_includedir}/%{name}-%{apiversion}
%{_libdir}/%{name}-%{apiversion}.so
%{_libdir}/pkgconfig/%{name}-%{apiversion}.pc

%files doc
%license COPYING
%doc docs/doxygen/html



%changelog
* Thu Feb 13 2020 umeabot <umeabot> 0.1.1-3.mga8
+ Revision: 1514064
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.1.1-2.mga7
+ Revision: 1298825
- Mageia 7 Mass Rebuild

* Thu Aug 16 2018 tv <tv> 0.1.1-1.mga7
+ Revision: 1251977
- new release

* Thu Jan 25 2018 wally <wally> 0.1.0-2.mga7
+ Revision: 1197153
- fix lib pkg major
- fix lib and devel pkg names to include api version
- fix lib pkg summary

* Tue Jan 23 2018 tv <tv> 0.1.0-1.mga7
+ Revision: 1196604
- imported package libepubgen


* Thu Dec 14 2017 David Tardon <dtardon@redhat.com> - 0.1.0-1
- new upstream release

* Fri Aug 04 2017 David Tardon <dtardon@redhat.com> - 0.0.1-1
- new upstream release

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.0-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.0-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Mon May 15 2017 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.0-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.0-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sat Jan 28 2017 Jonathan Wakely <jwakely@redhat.com> - 0.0.0-11
- Rebuilt for Boost 1.63

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.0-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Jan 18 2016 Jonathan Wakely <jwakely@redhat.com> - 0.0.0-9
- Rebuilt for Boost 1.60

* Thu Aug 27 2015 Jonathan Wakely <jwakely@redhat.com> - 0.0.0-8
- Rebuilt for Boost 1.59

* Wed Jul 29 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.0-7
- Rebuilt for https://fedoraproject.org/wiki/Changes/F23Boost159

* Wed Jul 22 2015 David Tardon <dtardon@redhat.com> - 0.0.0-6
- rebuild for Boost 1.58

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 0.0.0-4
- Rebuilt for GCC 5 C++11 ABI change

* Tue Jan 27 2015 Petr Machata <pmachata@redhat.com> - 0.0.0-3
- Rebuild for boost 1.57.0

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jul 05 2014 David Tardon <dtardon@redhat.com> - 0.0.0-1
- initial import
